> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# elevenlabs-voices

> ElevenLabs Voices - manage, search, clone, and design AI voices

**Server path:** `/elevenlabs-voices` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                | Description                               |
| --------------------------------------------------------------------------------------------------- | ----------------------------------------- |
| [`elevenlabs_voices_add_sharing_voice`](#elevenlabs_voices_add_sharing_voice)                       | Add Shared Voice                          |
| [`elevenlabs_voices_add_voice`](#elevenlabs_voices_add_voice)                                       | Add Voice                                 |
| [`elevenlabs_voices_create_voice`](#elevenlabs_voices_create_voice)                                 | Create A New Voice From Voice Preview     |
| [`elevenlabs_voices_delete_sample`](#elevenlabs_voices_delete_sample)                               | Delete Sample                             |
| [`elevenlabs_voices_delete_voice`](#elevenlabs_voices_delete_voice)                                 | Delete Voice                              |
| [`elevenlabs_voices_edit_voice`](#elevenlabs_voices_edit_voice)                                     | Edit Voice                                |
| [`elevenlabs_voices_edit_voice_settings`](#elevenlabs_voices_edit_voice_settings)                   | Edit Voice Settings                       |
| [`elevenlabs_voices_get_audio_from_sample`](#elevenlabs_voices_get_audio_from_sample)               | Get Audio From Sample                     |
| [`elevenlabs_voices_get_library_voices`](#elevenlabs_voices_get_library_voices)                     | Get Voices                                |
| [`elevenlabs_voices_get_models`](#elevenlabs_voices_get_models)                                     | Get Models                                |
| [`elevenlabs_voices_get_similar_library_voices`](#elevenlabs_voices_get_similar_library_voices)     | Get Similar Library Voices                |
| [`elevenlabs_voices_get_user_info`](#elevenlabs_voices_get_user_info)                               | Get User Info                             |
| [`elevenlabs_voices_get_user_subscription_info`](#elevenlabs_voices_get_user_subscription_info)     | Get User Subscription Info                |
| [`elevenlabs_voices_get_user_voices_v2`](#elevenlabs_voices_get_user_voices_v2)                     | Get Voices V2                             |
| [`elevenlabs_voices_get_voice_by_id`](#elevenlabs_voices_get_voice_by_id)                           | Get Voice                                 |
| [`elevenlabs_voices_get_voice_settings`](#elevenlabs_voices_get_voice_settings)                     | Get Voice Settings                        |
| [`elevenlabs_voices_get_voice_settings_default`](#elevenlabs_voices_get_voice_settings_default)     | Get Default Voice Settings.               |
| [`elevenlabs_voices_get_voices`](#elevenlabs_voices_get_voices)                                     | List Voices                               |
| [`elevenlabs_voices_text_to_voice`](#elevenlabs_voices_text_to_voice)                               | Generate A Voice Preview From Description |
| [`elevenlabs_voices_text_to_voice_design`](#elevenlabs_voices_text_to_voice_design)                 | Design A Voice.                           |
| [`elevenlabs_voices_text_to_voice_preview_stream`](#elevenlabs_voices_text_to_voice_preview_stream) | Text To Voice Preview Streaming           |
| [`elevenlabs_voices_text_to_voice_remix`](#elevenlabs_voices_text_to_voice_remix)                   | Remix A Voice.                            |

***

## elevenlabs\_voices\_add\_sharing\_voice

Add Shared Voice

**Parameters:**

| Parameter        | Type    | Required | Default | Description                                                                                                                                   |
| ---------------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| `public_user_id` | string  | Yes      | —       | Public user ID used to publicly identify ElevenLabs users.                                                                                    |
| `voice_id`       | string  | Yes      | —       | Voice ID to be used, you can use [https://api.elevenlabs.io/v1/voices](https://api.elevenlabs.io/v1/voices) to list all the available voices. |
| `bookmarked`     | boolean | No       | —       | The bookmarked value                                                                                                                          |
| `new_name`       | string  | Yes      | —       | The name that identifies this voice. This will be displayed in the dropdown of the website.                                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "public_user_id": {
        "type": "string",
        "description": "Public user ID used to publicly identify ElevenLabs users."
      },
      "voice_id": {
        "type": "string",
        "description": "Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices."
      },
      "bookmarked": {
        "type": "boolean",
        "description": "The bookmarked value"
      },
      "new_name": {
        "type": "string",
        "description": "The name that identifies this voice. This will be displayed in the dropdown of the website."
      }
    },
    "required": [
      "PCID",
      "public_user_id",
      "voice_id",
      "new_name"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_add\_voice

Add Voice

**Parameters:**

| Parameter                 | Type      | Required | Default | Description                                                                                                                                                           |
| ------------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `description`             | string    | No       | —       | A description of the voice.                                                                                                                                           |
| `files`                   | string\[] | Yes      | —       | A list of file paths to audio recordings intended for voice cloning.                                                                                                  |
| `labels`                  | object    | No       | —       | Labels for the voice. Keys can be language, accent, gender, or age.                                                                                                   |
| `name`                    | string    | Yes      | —       | The name that identifies this voice. This will be displayed in the dropdown of the website.                                                                           |
| `remove_background_noise` | boolean   | No       | —       | If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "description": {
        "type": "string",
        "description": "A description of the voice."
      },
      "files": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "binary"
        },
        "description": "A list of file paths to audio recordings intended for voice cloning."
      },
      "labels": {
        "description": "Labels for the voice. Keys can be language, accent, gender, or age."
      },
      "name": {
        "type": "string",
        "description": "The name that identifies this voice. This will be displayed in the dropdown of the website."
      },
      "remove_background_noise": {
        "type": "boolean",
        "description": "If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse."
      }
    },
    "required": [
      "PCID",
      "files",
      "name"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_create\_voice

Create A New Voice From Voice Preview

**Parameters:**

| Parameter                       | Type      | Required | Default | Description                                                                                                                                                        |
| ------------------------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `generated_voice_id`            | string    | Yes      | —       | The generated\_voice\_id to create, call POST /v1/text-to-voice/create-previews and fetch the generated\_voice\_id from the response header if don't have one yet. |
| `labels`                        | object    | No       | —       | Optional, metadata to add to the created voice. Defaults to None.                                                                                                  |
| `played_not_selected_voice_ids` | string\[] | No       | —       | List of voice ids that the user has played but not selected. Used for RLHF.                                                                                        |
| `voice_description`             | string    | Yes      | —       | Description to use for the created voice.                                                                                                                          |
| `voice_name`                    | string    | Yes      | —       | Name to use for the created voice.                                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "generated_voice_id": {
        "type": "string",
        "description": "The generated_voice_id to create, call POST /v1/text-to-voice/create-previews and fetch the generated_voice_id from the response header if don't have one yet."
      },
      "labels": {
        "type": "object",
        "description": "Optional, metadata to add to the created voice. Defaults to None."
      },
      "played_not_selected_voice_ids": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "List of voice ids that the user has played but not selected. Used for RLHF."
      },
      "voice_description": {
        "type": "string",
        "description": "Description to use for the created voice."
      },
      "voice_name": {
        "type": "string",
        "description": "Name to use for the created voice."
      }
    },
    "required": [
      "PCID",
      "generated_voice_id",
      "voice_description",
      "voice_name"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_delete\_sample

Delete Sample

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                                                                                                                                                                                   |
| ----------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `voice_id`  | string | Yes      | —       | Voice ID to be used, you can use [https://api.elevenlabs.io/v1/voices](https://api.elevenlabs.io/v1/voices) to list all the available voices.                                                                 |
| `sample_id` | string | Yes      | —       | Sample ID to be used, you can use GET [https://api.elevenlabs.io/v1/voices/\&#123;voice\_id\&#125](https://api.elevenlabs.io/v1/voices/\&#123;voice_id\&#125); to list all the available samples for a voice. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "voice_id": {
        "type": "string",
        "description": "Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices."
      },
      "sample_id": {
        "type": "string",
        "description": "Sample ID to be used, you can use GET https://api.elevenlabs.io/v1/voices/{voice_id} to list all the available samples for a voice."
      }
    },
    "required": [
      "PCID",
      "voice_id",
      "sample_id"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_delete\_voice

Delete Voice

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                                                                                                   |
| ---------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| `voice_id` | string | Yes      | —       | Voice ID to be used, you can use [https://api.elevenlabs.io/v1/voices](https://api.elevenlabs.io/v1/voices) to list all the available voices. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "voice_id": {
        "type": "string",
        "description": "Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices."
      }
    },
    "required": [
      "PCID",
      "voice_id"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_edit\_voice

Edit Voice

**Parameters:**

| Parameter                 | Type      | Required | Default | Description                                                                                                                                                           |
| ------------------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `voice_id`                | string    | Yes      | —       | Voice ID to be used, you can use [https://api.elevenlabs.io/v1/voices](https://api.elevenlabs.io/v1/voices) to list all the available voices.                         |
| `description`             | string    | No       | —       | A description of the voice.                                                                                                                                           |
| `files`                   | string\[] | No       | —       | Audio files to add to the voice                                                                                                                                       |
| `labels`                  | object    | No       | —       | Labels for the voice. Keys can be language, accent, gender, or age.                                                                                                   |
| `name`                    | string    | Yes      | —       | The name that identifies this voice. This will be displayed in the dropdown of the website.                                                                           |
| `remove_background_noise` | boolean   | No       | —       | If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "voice_id": {
        "type": "string",
        "description": "Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices."
      },
      "description": {
        "type": "string",
        "description": "A description of the voice."
      },
      "files": {
        "type": "array",
        "items": {
          "type": "string",
          "format": "binary"
        },
        "description": "Audio files to add to the voice"
      },
      "labels": {
        "description": "Labels for the voice. Keys can be language, accent, gender, or age."
      },
      "name": {
        "type": "string",
        "description": "The name that identifies this voice. This will be displayed in the dropdown of the website."
      },
      "remove_background_noise": {
        "type": "boolean",
        "description": "If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse."
      }
    },
    "required": [
      "PCID",
      "voice_id",
      "name"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_edit\_voice\_settings

Edit Voice Settings

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                                                                                                                                                                                                        |
| ------------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `voice_id`          | string  | Yes      | —       | Voice ID to be used, you can use [https://api.elevenlabs.io/v1/voices](https://api.elevenlabs.io/v1/voices) to list all the available voices.                                                                                      |
| `similarity_boost`  | number  | No       | —       | Determines how closely the AI should adhere to the original voice when attempting to replicate it.                                                                                                                                 |
| `speed`             | number  | No       | —       | Adjusts the speed of the voice. A value of 1.0 is the default speed, while values less than 1.0 slow down the speech, and values greater than 1.0 speed it up.                                                                     |
| `stability`         | number  | No       | —       | Determines how stable the voice is and the randomness between each generation. Lower values introduce broader emotional range for the voice. Higher values can result in a monotonous voice with limited emotion.                  |
| `style`             | number  | No       | —       | Determines the style exaggeration of the voice. This setting attempts to amplify the style of the original speaker. It does consume additional computational resources and might increase latency if set to anything other than 0. |
| `use_speaker_boost` | boolean | No       | —       | This setting boosts the similarity to the original speaker. Using this setting requires a slightly higher computational load, which in turn increases latency.                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "voice_id": {
        "type": "string",
        "description": "Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices."
      },
      "similarity_boost": {
        "type": "number",
        "description": "Determines how closely the AI should adhere to the original voice when attempting to replicate it."
      },
      "speed": {
        "type": "number",
        "description": "Adjusts the speed of the voice. A value of 1.0 is the default speed, while values less than 1.0 slow down the speech, and values greater than 1.0 speed it up."
      },
      "stability": {
        "type": "number",
        "description": "Determines how stable the voice is and the randomness between each generation. Lower values introduce broader emotional range for the voice. Higher values can result in a monotonous voice with limited emotion."
      },
      "style": {
        "type": "number",
        "description": "Determines the style exaggeration of the voice. This setting attempts to amplify the style of the original speaker. It does consume additional computational resources and might increase latency if set to anything other than 0."
      },
      "use_speaker_boost": {
        "type": "boolean",
        "description": "This setting boosts the similarity to the original speaker. Using this setting requires a slightly higher computational load, which in turn increases latency."
      }
    },
    "required": [
      "PCID",
      "voice_id"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_get\_audio\_from\_sample

Get Audio From Sample

**Parameters:**

| Parameter   | Type   | Required | Default | Description                                                                                                                                                                                                   |
| ----------- | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `voice_id`  | string | Yes      | —       | Voice ID to be used, you can use [https://api.elevenlabs.io/v1/voices](https://api.elevenlabs.io/v1/voices) to list all the available voices.                                                                 |
| `sample_id` | string | Yes      | —       | Sample ID to be used, you can use GET [https://api.elevenlabs.io/v1/voices/\&#123;voice\_id\&#125](https://api.elevenlabs.io/v1/voices/\&#123;voice_id\&#125); to list all the available samples for a voice. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "voice_id": {
        "type": "string",
        "description": "Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices."
      },
      "sample_id": {
        "type": "string",
        "description": "Sample ID to be used, you can use GET https://api.elevenlabs.io/v1/voices/{voice_id} to list all the available samples for a voice."
      }
    },
    "required": [
      "PCID",
      "voice_id",
      "sample_id"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_get\_library\_voices

Get Voices

**Parameters:**

| Parameter                | Type      | Required | Default | Description                                                                      |
| ------------------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------- |
| `page_size`              | integer   | No       | —       | How many shared voices to return at maximum. Can not exceed 100, defaults to 30. |
| `category`               | string    | No       | —       | Voice category used for filtering                                                |
| `gender`                 | string    | No       | —       | Gender used for filtering                                                        |
| `age`                    | string    | No       | —       | Age used for filtering                                                           |
| `accent`                 | string    | No       | —       | Accent used for filtering                                                        |
| `language`               | string    | No       | —       | Language used for filtering                                                      |
| `locale`                 | string    | No       | —       | Locale used for filtering                                                        |
| `search`                 | string    | No       | —       | Search term used for filtering                                                   |
| `use_cases`              | string\[] | No       | —       | Use-case used for filtering                                                      |
| `descriptives`           | string\[] | No       | —       | Search term used for filtering                                                   |
| `featured`               | boolean   | No       | —       | Filter featured voices                                                           |
| `min_notice_period_days` | integer   | No       | —       | Filter voices with a minimum notice period of the given number of days.          |
| `include_custom_rates`   | boolean   | No       | —       | Include/exclude voices with custom rates                                         |
| `include_live_moderated` | boolean   | No       | —       | Include/exclude voices that are live moderated                                   |
| `reader_app_enabled`     | boolean   | No       | —       | Filter voices that are enabled for the reader app                                |
| `owner_id`               | string    | No       | —       | Filter voices by public owner ID                                                 |
| `sort`                   | string    | No       | —       | Sort criteria                                                                    |
| `page`                   | integer   | No       | —       | Page number for pagination                                                       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "page_size": {
        "type": "integer",
        "description": "How many shared voices to return at maximum. Can not exceed 100, defaults to 30."
      },
      "category": {
        "type": "string",
        "description": "Voice category used for filtering",
        "enum": [
          "professional",
          "famous",
          "high_quality"
        ]
      },
      "gender": {
        "type": "string",
        "description": "Gender used for filtering"
      },
      "age": {
        "type": "string",
        "description": "Age used for filtering"
      },
      "accent": {
        "type": "string",
        "description": "Accent used for filtering"
      },
      "language": {
        "type": "string",
        "description": "Language used for filtering"
      },
      "locale": {
        "type": "string",
        "description": "Locale used for filtering"
      },
      "search": {
        "type": "string",
        "description": "Search term used for filtering"
      },
      "use_cases": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Use-case used for filtering"
      },
      "descriptives": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Search term used for filtering"
      },
      "featured": {
        "type": "boolean",
        "description": "Filter featured voices"
      },
      "min_notice_period_days": {
        "type": "integer",
        "description": "Filter voices with a minimum notice period of the given number of days."
      },
      "include_custom_rates": {
        "type": "boolean",
        "description": "Include/exclude voices with custom rates"
      },
      "include_live_moderated": {
        "type": "boolean",
        "description": "Include/exclude voices that are live moderated"
      },
      "reader_app_enabled": {
        "type": "boolean",
        "description": "Filter voices that are enabled for the reader app"
      },
      "owner_id": {
        "type": "string",
        "description": "Filter voices by public owner ID"
      },
      "sort": {
        "type": "string",
        "description": "Sort criteria"
      },
      "page": {
        "type": "integer",
        "description": "Page number for pagination"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_get\_models

Get Models

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_get\_similar\_library\_voices

Get Similar Library Voices

**Parameters:**

| Parameter              | Type    | Required | Default | Description                                                                                                                                                          |
| ---------------------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `audio_file`           | string  | No       | —       | Audio File                                                                                                                                                           |
| `similarity_threshold` | number  | No       | —       | Threshold for voice similarity between provided sample and library voices. Values range from 0 to 2. The smaller the value the more similar voices will be returned. |
| `top_k`                | integer | No       | —       | Number of most similar voices to return. If similarity\_threshold is provided, less than this number of voices may be returned. Values range from 1 to 100.          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "audio_file": {
        "type": "string",
        "description": "Audio File"
      },
      "similarity_threshold": {
        "type": "number",
        "description": "Threshold for voice similarity between provided sample and library voices. Values range from 0 to 2. The smaller the value the more similar voices will be returned."
      },
      "top_k": {
        "type": "integer",
        "description": "Number of most similar voices to return. If similarity_threshold is provided, less than this number of voices may be returned. Values range from 1 to 100."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_get\_user\_info

Get User Info

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_get\_user\_subscription\_info

Get User Subscription Info

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_get\_user\_voices\_v2

Get Voices V2

**Parameters:**

| Parameter             | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                               |
| --------------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `next_page_token`     | string    | No       | —       | The next page token to use for pagination. Returned from the previous request. Use this in combination with the has\_more flag for reliable pagination.                                                                                                                                                                                                                   |
| `page_size`           | integer   | No       | —       | How many voices to return at maximum. Can not exceed 100, defaults to 10. Page 0 may include more voices due to default voices being included.                                                                                                                                                                                                                            |
| `search`              | string    | No       | —       | Search term to filter voices by. Searches in name, description, labels, category.                                                                                                                                                                                                                                                                                         |
| `sort`                | string    | No       | —       | Which field to sort by, one of 'created\_at\_unix' or 'name'. 'created\_at\_unix' may not be available for older voices.                                                                                                                                                                                                                                                  |
| `sort_direction`      | string    | No       | —       | Which direction to sort the voices in. 'asc' or 'desc'.                                                                                                                                                                                                                                                                                                                   |
| `voice_type`          | string    | No       | —       | Type of the voice to filter by. One of 'personal', 'community', 'default', 'workspace', 'non-default', 'saved'. 'non-default' is equal to all but 'default'. 'saved' is equal to non-default, but includes default voices if they have been added to a collection.                                                                                                        |
| `category`            | string    | No       | —       | Category of the voice to filter by. One of 'premade', 'cloned', 'generated', 'professional'                                                                                                                                                                                                                                                                               |
| `fine_tuning_state`   | string    | No       | —       | State of the voice's fine tuning to filter by. Applicable only to professional voices clones. One of 'draft', 'not\_verified', 'not\_started', 'queued', 'fine\_tuning', 'fine\_tuned', 'failed', 'delayed'                                                                                                                                                               |
| `collection_id`       | string    | No       | —       | Collection ID to filter voices by.                                                                                                                                                                                                                                                                                                                                        |
| `include_total_count` | boolean   | No       | —       | Whether to include the total count of voices found in the response. NOTE: The total\_count value is a live snapshot and may change between requests as users create, modify, or delete voices. For pagination, rely on the has\_more flag instead. Only enable this when you actually need the total count (e.g., for display purposes), as it incurs a performance cost. |
| `voice_ids`           | string\[] | No       | —       | Voice IDs to lookup by. Maximum 100 voice IDs.                                                                                                                                                                                                                                                                                                                            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "next_page_token": {
        "type": "string",
        "description": "The next page token to use for pagination. Returned from the previous request. Use this in combination with the has_more flag for reliable pagination."
      },
      "page_size": {
        "type": "integer",
        "description": "How many voices to return at maximum. Can not exceed 100, defaults to 10. Page 0 may include more voices due to default voices being included."
      },
      "search": {
        "type": "string",
        "description": "Search term to filter voices by. Searches in name, description, labels, category."
      },
      "sort": {
        "type": "string",
        "description": "Which field to sort by, one of 'created_at_unix' or 'name'. 'created_at_unix' may not be available for older voices."
      },
      "sort_direction": {
        "type": "string",
        "description": "Which direction to sort the voices in. 'asc' or 'desc'."
      },
      "voice_type": {
        "type": "string",
        "description": "Type of the voice to filter by. One of 'personal', 'community', 'default', 'workspace', 'non-default', 'saved'. 'non-default' is equal to all but 'default'. 'saved' is equal to non-default, but includes default voices if they have been added to a collection."
      },
      "category": {
        "type": "string",
        "description": "Category of the voice to filter by. One of 'premade', 'cloned', 'generated', 'professional'"
      },
      "fine_tuning_state": {
        "type": "string",
        "description": "State of the voice's fine tuning to filter by. Applicable only to professional voices clones. One of 'draft', 'not_verified', 'not_started', 'queued', 'fine_tuning', 'fine_tuned', 'failed', 'delayed'"
      },
      "collection_id": {
        "type": "string",
        "description": "Collection ID to filter voices by."
      },
      "include_total_count": {
        "type": "boolean",
        "description": "Whether to include the total count of voices found in the response. NOTE: The total_count value is a live snapshot and may change between requests as users create, modify, or delete voices. For pagination, rely on the has_more flag instead. Only enable this when you actually need the total count (e.g., for display purposes), as it incurs a performance cost."
      },
      "voice_ids": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Voice IDs to lookup by. Maximum 100 voice IDs."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_get\_voice\_by\_id

Get Voice

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                                                                                                   |
| --------------- | ------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| `voice_id`      | string  | Yes      | —       | Voice ID to be used, you can use [https://api.elevenlabs.io/v1/voices](https://api.elevenlabs.io/v1/voices) to list all the available voices. |
| `with_settings` | boolean | No       | —       | This parameter is now deprecated. It is ignored and will be removed in a future version.                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "voice_id": {
        "type": "string",
        "description": "Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices."
      },
      "with_settings": {
        "type": "boolean",
        "description": "This parameter is now deprecated. It is ignored and will be removed in a future version."
      }
    },
    "required": [
      "PCID",
      "voice_id"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_get\_voice\_settings

Get Voice Settings

**Parameters:**

| Parameter  | Type   | Required | Default | Description                                                                                                                                   |
| ---------- | ------ | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| `voice_id` | string | Yes      | —       | Voice ID to be used, you can use [https://api.elevenlabs.io/v1/voices](https://api.elevenlabs.io/v1/voices) to list all the available voices. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "voice_id": {
        "type": "string",
        "description": "Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices."
      }
    },
    "required": [
      "PCID",
      "voice_id"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_get\_voice\_settings\_default

Get Default Voice Settings.

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_get\_voices

List Voices

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                                                         |
| ------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------- |
| `show_legacy` | boolean | No       | —       | If set to true, legacy premade voices will be included in responses from /v1/voices |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "show_legacy": {
        "type": "boolean",
        "description": "If set to true, legacy premade voices will be included in responses from /v1/voices"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_text\_to\_voice

Generate A Voice Preview From Description

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| -------------------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `output_format`      | string  | No       | —       | Output format of the generated audio. Formatted as codec\_sample\_rate\_bitrate. So an mp3 with 22.05kHz sample rate at 32kbs is represented as mp3\_22050\_32. MP3 with 192kbps bitrate requires you to be subscribed to Creator tier or above. PCM with 44.1kHz sample rate requires you to be subscribed to Pro tier or above. Note that the μ-law format (sometimes written mu-law, often approximated as u-law) is commonly used for Twilio audio inputs. |
| `auto_generate_text` | boolean | No       | —       | Whether to automatically generate a text suitable for the voice description.                                                                                                                                                                                                                                                                                                                                                                                   |
| `guidance_scale`     | number  | No       | —       | Controls how closely the AI follows the prompt. Lower numbers give the AI more freedom to be creative, while higher numbers force it to stick more to the prompt. High numbers can cause voice to sound artificial or robotic. We recommend to use longer, more detailed prompts at lower Guidance Scale.                                                                                                                                                      |
| `loudness`           | number  | No       | —       | Controls the volume level of the generated voice. -1 is quietest, 1 is loudest, 0 corresponds to roughly -24 LUFS.                                                                                                                                                                                                                                                                                                                                             |
| `quality`            | number  | No       | —       | Higher quality results in better voice output but less variety.                                                                                                                                                                                                                                                                                                                                                                                                |
| `seed`               | integer | No       | —       | Random number that controls the voice generation. Same seed with same inputs produces same voice.                                                                                                                                                                                                                                                                                                                                                              |
| `should_enhance`     | boolean | No       | —       | Whether to enhance the voice description using AI to add more detail and improve voice generation quality. When enabled, the system will automatically expand simple prompts into more detailed voice descriptions. Defaults to False                                                                                                                                                                                                                          |
| `text`               | string  | No       | —       | Text to generate, text length has to be between 100 and 1000.                                                                                                                                                                                                                                                                                                                                                                                                  |
| `voice_description`  | string  | Yes      | —       | Description to use for the created voice.                                                                                                                                                                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "output_format": {
        "type": "string",
        "description": "Output format of the generated audio. Formatted as codec_sample_rate_bitrate. So an mp3 with 22.05kHz sample rate at 32kbs is represented as mp3_22050_32. MP3 with 192kbps bitrate requires you to be subscribed to Creator tier or above. PCM with 44.1kHz sample rate requires you to be subscribed to Pro tier or above. Note that the μ-law format (sometimes written mu-law, often approximated as u-law) is commonly used for Twilio audio inputs.",
        "enum": [
          "mp3_22050_32",
          "mp3_24000_48",
          "mp3_44100_32",
          "mp3_44100_64",
          "mp3_44100_96",
          "mp3_44100_128",
          "mp3_44100_192",
          "pcm_8000",
          "pcm_16000",
          "pcm_22050",
          "pcm_24000",
          "pcm_32000",
          "pcm_44100",
          "pcm_48000",
          "ulaw_8000",
          "alaw_8000",
          "opus_48000_32",
          "opus_48000_64",
          "opus_48000_96",
          "opus_48000_128",
          "opus_48000_192"
        ]
      },
      "auto_generate_text": {
        "type": "boolean",
        "description": "Whether to automatically generate a text suitable for the voice description."
      },
      "guidance_scale": {
        "type": "number",
        "description": "Controls how closely the AI follows the prompt. Lower numbers give the AI more freedom to be creative, while higher numbers force it to stick more to the prompt. High numbers can cause voice to sound artificial or robotic. We recommend to use longer, more detailed prompts at lower Guidance Scale."
      },
      "loudness": {
        "type": "number",
        "description": "Controls the volume level of the generated voice. -1 is quietest, 1 is loudest, 0 corresponds to roughly -24 LUFS."
      },
      "quality": {
        "type": "number",
        "description": "Higher quality results in better voice output but less variety."
      },
      "seed": {
        "type": "integer",
        "description": "Random number that controls the voice generation. Same seed with same inputs produces same voice."
      },
      "should_enhance": {
        "type": "boolean",
        "description": "Whether to enhance the voice description using AI to add more detail and improve voice generation quality. When enabled, the system will automatically expand simple prompts into more detailed voice descriptions. Defaults to False"
      },
      "text": {
        "type": "string",
        "description": "Text to generate, text length has to be between 100 and 1000."
      },
      "voice_description": {
        "type": "string",
        "description": "Description to use for the created voice."
      }
    },
    "required": [
      "PCID",
      "voice_description"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_text\_to\_voice\_design

Design A Voice.

**Parameters:**

| Parameter                       | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| ------------------------------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `output_format`                 | string  | No       | —       | Output format of the generated audio. Formatted as codec\_sample\_rate\_bitrate. So an mp3 with 22.05kHz sample rate at 32kbs is represented as mp3\_22050\_32. MP3 with 192kbps bitrate requires you to be subscribed to Creator tier or above. PCM with 44.1kHz sample rate requires you to be subscribed to Pro tier or above. Note that the μ-law format (sometimes written mu-law, often approximated as u-law) is commonly used for Twilio audio inputs. |
| `auto_generate_text`            | boolean | No       | —       | Whether to automatically generate a text suitable for the voice description.                                                                                                                                                                                                                                                                                                                                                                                   |
| `guidance_scale`                | number  | No       | —       | Controls how closely the AI follows the prompt. Lower numbers give the AI more freedom to be creative, while higher numbers force it to stick more to the prompt. High numbers can cause voice to sound artificial or robotic. We recommend to use longer, more detailed prompts at lower Guidance Scale.                                                                                                                                                      |
| `loudness`                      | number  | No       | —       | Controls the volume level of the generated voice. -1 is quietest, 1 is loudest, 0 corresponds to roughly -24 LUFS.                                                                                                                                                                                                                                                                                                                                             |
| `model_id`                      | string  | No       | —       | Model to use for the voice generation. Possible values: eleven\_multilingual\_ttv\_v2, eleven\_ttv\_v3.                                                                                                                                                                                                                                                                                                                                                        |
| `prompt_strength`               | number  | No       | —       | Controls the balance of prompt versus reference audio when generating voice samples. 0 means almost no prompt influence, 1 means almost no reference audio influence. Only supported when using the eleven\_ttv\_v3 model.                                                                                                                                                                                                                                     |
| `quality`                       | number  | No       | —       | Higher quality results in better voice output but less variety.                                                                                                                                                                                                                                                                                                                                                                                                |
| `reference_audio_base64`        | string  | No       | —       | Reference audio to use for the voice generation. The audio should be base64 encoded. Only supported when using the  eleven\_ttv\_v3 model.                                                                                                                                                                                                                                                                                                                     |
| `remixing_session_id`           | string  | No       | —       | The remixing session id.                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `remixing_session_iteration_id` | string  | No       | —       | The id of the remixing session iteration where these generations should be attached to. If not provided, a new iteration will be created.                                                                                                                                                                                                                                                                                                                      |
| `seed`                          | integer | No       | —       | Random number that controls the voice generation. Same seed with same inputs produces same voice.                                                                                                                                                                                                                                                                                                                                                              |
| `should_enhance`                | boolean | No       | —       | Whether to enhance the voice description using AI to add more detail and improve voice generation quality. When enabled, the system will automatically expand simple prompts into more detailed voice descriptions. Defaults to False                                                                                                                                                                                                                          |
| `stream_previews`               | boolean | No       | —       | Determines whether the Text to Voice previews should be included in the response. If true, only the generated IDs will be returned which can then be streamed via the /v1/text-to-voice/:generated\_voice\_id/stream endpoint.                                                                                                                                                                                                                                 |
| `text`                          | string  | No       | —       | Text to generate, text length has to be between 100 and 1000.                                                                                                                                                                                                                                                                                                                                                                                                  |
| `voice_description`             | string  | Yes      | —       | Description to use for the created voice.                                                                                                                                                                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "output_format": {
        "type": "string",
        "description": "Output format of the generated audio. Formatted as codec_sample_rate_bitrate. So an mp3 with 22.05kHz sample rate at 32kbs is represented as mp3_22050_32. MP3 with 192kbps bitrate requires you to be subscribed to Creator tier or above. PCM with 44.1kHz sample rate requires you to be subscribed to Pro tier or above. Note that the μ-law format (sometimes written mu-law, often approximated as u-law) is commonly used for Twilio audio inputs.",
        "enum": [
          "mp3_22050_32",
          "mp3_24000_48",
          "mp3_44100_32",
          "mp3_44100_64",
          "mp3_44100_96",
          "mp3_44100_128",
          "mp3_44100_192",
          "pcm_8000",
          "pcm_16000",
          "pcm_22050",
          "pcm_24000",
          "pcm_32000",
          "pcm_44100",
          "pcm_48000",
          "ulaw_8000",
          "alaw_8000",
          "opus_48000_32",
          "opus_48000_64",
          "opus_48000_96",
          "opus_48000_128",
          "opus_48000_192"
        ]
      },
      "auto_generate_text": {
        "type": "boolean",
        "description": "Whether to automatically generate a text suitable for the voice description."
      },
      "guidance_scale": {
        "type": "number",
        "description": "Controls how closely the AI follows the prompt. Lower numbers give the AI more freedom to be creative, while higher numbers force it to stick more to the prompt. High numbers can cause voice to sound artificial or robotic. We recommend to use longer, more detailed prompts at lower Guidance Scale."
      },
      "loudness": {
        "type": "number",
        "description": "Controls the volume level of the generated voice. -1 is quietest, 1 is loudest, 0 corresponds to roughly -24 LUFS."
      },
      "model_id": {
        "type": "string",
        "description": "Model to use for the voice generation. Possible values: eleven_multilingual_ttv_v2, eleven_ttv_v3.",
        "enum": [
          "eleven_multilingual_ttv_v2",
          "eleven_ttv_v3"
        ]
      },
      "prompt_strength": {
        "type": "number",
        "description": "Controls the balance of prompt versus reference audio when generating voice samples. 0 means almost no prompt influence, 1 means almost no reference audio influence. Only supported when using the eleven_ttv_v3 model."
      },
      "quality": {
        "type": "number",
        "description": "Higher quality results in better voice output but less variety."
      },
      "reference_audio_base64": {
        "type": "string",
        "description": "Reference audio to use for the voice generation. The audio should be base64 encoded. Only supported when using the  eleven_ttv_v3 model."
      },
      "remixing_session_id": {
        "type": "string",
        "description": "The remixing session id."
      },
      "remixing_session_iteration_id": {
        "type": "string",
        "description": "The id of the remixing session iteration where these generations should be attached to. If not provided, a new iteration will be created."
      },
      "seed": {
        "type": "integer",
        "description": "Random number that controls the voice generation. Same seed with same inputs produces same voice."
      },
      "should_enhance": {
        "type": "boolean",
        "description": "Whether to enhance the voice description using AI to add more detail and improve voice generation quality. When enabled, the system will automatically expand simple prompts into more detailed voice descriptions. Defaults to False"
      },
      "stream_previews": {
        "type": "boolean",
        "description": "Determines whether the Text to Voice previews should be included in the response. If true, only the generated IDs will be returned which can then be streamed via the /v1/text-to-voice/:generated_voice_id/stream endpoint."
      },
      "text": {
        "type": "string",
        "description": "Text to generate, text length has to be between 100 and 1000."
      },
      "voice_description": {
        "type": "string",
        "description": "Description to use for the created voice."
      }
    },
    "required": [
      "PCID",
      "voice_description"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_text\_to\_voice\_preview\_stream

Text To Voice Preview Streaming

**Parameters:**

| Parameter            | Type   | Required | Default | Description                         |
| -------------------- | ------ | -------- | ------- | ----------------------------------- |
| `generated_voice_id` | string | Yes      | —       | The generated\_voice\_id to stream. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "generated_voice_id": {
        "type": "string",
        "description": "The generated_voice_id to stream."
      }
    },
    "required": [
      "PCID",
      "generated_voice_id"
    ]
  }
  ```
</Expandable>

***

## elevenlabs\_voices\_text\_to\_voice\_remix

Remix A Voice.

**Parameters:**

| Parameter                       | Type    | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| ------------------------------- | ------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `voice_id`                      | string  | Yes      | —       | Voice ID to be used, you can use [https://api.elevenlabs.io/v1/voices](https://api.elevenlabs.io/v1/voices) to list all the available voices.                                                                                                                                                                                                                                                                                                                  |
| `output_format`                 | string  | No       | —       | Output format of the generated audio. Formatted as codec\_sample\_rate\_bitrate. So an mp3 with 22.05kHz sample rate at 32kbs is represented as mp3\_22050\_32. MP3 with 192kbps bitrate requires you to be subscribed to Creator tier or above. PCM with 44.1kHz sample rate requires you to be subscribed to Pro tier or above. Note that the μ-law format (sometimes written mu-law, often approximated as u-law) is commonly used for Twilio audio inputs. |
| `auto_generate_text`            | boolean | No       | —       | Whether to automatically generate a text suitable for the voice description.                                                                                                                                                                                                                                                                                                                                                                                   |
| `guidance_scale`                | number  | No       | —       | Controls how closely the AI follows the prompt. Lower numbers give the AI more freedom to be creative, while higher numbers force it to stick more to the prompt. High numbers can cause voice to sound artificial or robotic. We recommend to use longer, more detailed prompts at lower Guidance Scale.                                                                                                                                                      |
| `loudness`                      | number  | No       | —       | Controls the volume level of the generated voice. -1 is quietest, 1 is loudest, 0 corresponds to roughly -24 LUFS.                                                                                                                                                                                                                                                                                                                                             |
| `prompt_strength`               | number  | No       | —       | Controls the balance of prompt versus reference audio when generating voice samples. 0 means almost no prompt influence, 1 means almost no reference audio influence. Only supported when using the eleven\_ttv\_v3 model.                                                                                                                                                                                                                                     |
| `remixing_session_id`           | string  | No       | —       | The remixing session id.                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `remixing_session_iteration_id` | string  | No       | —       | The id of the remixing session iteration where these generations should be attached to. If not provided, a new iteration will be created.                                                                                                                                                                                                                                                                                                                      |
| `seed`                          | integer | No       | —       | Random number that controls the voice generation. Same seed with same inputs produces same voice.                                                                                                                                                                                                                                                                                                                                                              |
| `stream_previews`               | boolean | No       | —       | Determines whether the Text to Voice previews should be included in the response. If true, only the generated IDs will be returned which can then be streamed via the /v1/text-to-voice/:generated\_voice\_id/stream endpoint.                                                                                                                                                                                                                                 |
| `text`                          | string  | No       | —       | Text to generate, text length has to be between 100 and 1000.                                                                                                                                                                                                                                                                                                                                                                                                  |
| `voice_description`             | string  | Yes      | —       | Description of the changes to make to the voice.                                                                                                                                                                                                                                                                                                                                                                                                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "voice_id": {
        "type": "string",
        "description": "Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices."
      },
      "output_format": {
        "type": "string",
        "description": "Output format of the generated audio. Formatted as codec_sample_rate_bitrate. So an mp3 with 22.05kHz sample rate at 32kbs is represented as mp3_22050_32. MP3 with 192kbps bitrate requires you to be subscribed to Creator tier or above. PCM with 44.1kHz sample rate requires you to be subscribed to Pro tier or above. Note that the μ-law format (sometimes written mu-law, often approximated as u-law) is commonly used for Twilio audio inputs.",
        "enum": [
          "mp3_22050_32",
          "mp3_24000_48",
          "mp3_44100_32",
          "mp3_44100_64",
          "mp3_44100_96",
          "mp3_44100_128",
          "mp3_44100_192",
          "pcm_8000",
          "pcm_16000",
          "pcm_22050",
          "pcm_24000",
          "pcm_32000",
          "pcm_44100",
          "pcm_48000",
          "ulaw_8000",
          "alaw_8000",
          "opus_48000_32",
          "opus_48000_64",
          "opus_48000_96",
          "opus_48000_128",
          "opus_48000_192"
        ]
      },
      "auto_generate_text": {
        "type": "boolean",
        "description": "Whether to automatically generate a text suitable for the voice description."
      },
      "guidance_scale": {
        "type": "number",
        "description": "Controls how closely the AI follows the prompt. Lower numbers give the AI more freedom to be creative, while higher numbers force it to stick more to the prompt. High numbers can cause voice to sound artificial or robotic. We recommend to use longer, more detailed prompts at lower Guidance Scale."
      },
      "loudness": {
        "type": "number",
        "description": "Controls the volume level of the generated voice. -1 is quietest, 1 is loudest, 0 corresponds to roughly -24 LUFS."
      },
      "prompt_strength": {
        "type": "number",
        "description": "Controls the balance of prompt versus reference audio when generating voice samples. 0 means almost no prompt influence, 1 means almost no reference audio influence. Only supported when using the eleven_ttv_v3 model."
      },
      "remixing_session_id": {
        "type": "string",
        "description": "The remixing session id."
      },
      "remixing_session_iteration_id": {
        "type": "string",
        "description": "The id of the remixing session iteration where these generations should be attached to. If not provided, a new iteration will be created."
      },
      "seed": {
        "type": "integer",
        "description": "Random number that controls the voice generation. Same seed with same inputs produces same voice."
      },
      "stream_previews": {
        "type": "boolean",
        "description": "Determines whether the Text to Voice previews should be included in the response. If true, only the generated IDs will be returned which can then be streamed via the /v1/text-to-voice/:generated_voice_id/stream endpoint."
      },
      "text": {
        "type": "string",
        "description": "Text to generate, text length has to be between 100 and 1000."
      },
      "voice_description": {
        "type": "string",
        "description": "Description of the changes to make to the voice."
      }
    },
    "required": [
      "PCID",
      "voice_id",
      "voice_description"
    ]
  }
  ```
</Expandable>
